List domains

List the sending domains the API key can use.

GEThttps://app.usenotix.dev/api/v1/domains

Full access and read only keys can call this. Sending access keys cannot. Key permissions lists the extra rules some calls have.

List the sending domains the API key can use.

Headers

Authorizationstringrequired

Bearer followed by your API key.

curl -X GET "https://app.usenotix.dev/api/v1/domains" \
  -H "Authorization: Bearer $NOTIX_API_KEY"
Response200
[
  {
    "id": 1,
    "name": "example.com",
    "teamId": 1,
    "status": "NOT_STARTED",
    "publicKey": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "dnsRecords": [
      {
        "type": null,
        "name": null,
        "value": null,
        "ttl": null,
        "status": null
      }
    ]
  }
]
Open in ClaudeOpen in ChatGPT